/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-29
 * 描述            ：工器具-轧辊配辊主表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevRollerPairMMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_ROLLER_PAIR_M", namespace=DevRollerPairMMapper.class)
public class DevRollerPairM extends BaseVO implements Serializable {
	
	private String machine_name;
	
	
	public String getMachine_name() {
		return machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}


	private String status_desc;
	private String send_l2_desc;
	
	public String getStatus_desc() {
		return status_desc;
	}
	public void setStatus_desc(String status_desc) {
		this.status_desc = status_desc;
	}
	public String getSend_l2_desc() {
		return send_l2_desc;
	}
	public void setSend_l2_desc(String send_l2_desc) {
		this.send_l2_desc = send_l2_desc;
	}

	
	/** 
	 * 配辊记录号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 轧辊类型（W：工作辊、B：支承辊、I：中间辊）
	 */ 
	@Column
	private String roller_type;
	public String getRoller_type() {
		return this.roller_type;
	}
	public void setRoller_type(String roller_type) {
		this.roller_type = roller_type;
	}

	/** 
	 * 机架号
	 */ 
	@Column
	private String stand_id;
	public String getStand_id() {
		return this.stand_id;
	}
	public void setStand_id(String stand_id) {
		this.stand_id = stand_id;
	}

	/** 
	 * 上辊轧辊编号
	 */ 
	@Column
	private String t_roller_no;
	public String getT_roller_no() {
		return this.t_roller_no;
	}
	public void setT_roller_no(String t_roller_no) {
		this.t_roller_no = t_roller_no;
	}

	/** 
	 * 上辊制造编号
	 */ 
	@Column
	private String t_manufacturer_no;
	public String getT_manufacturer_no() {
		return this.t_manufacturer_no;
	}
	public void setT_manufacturer_no(String t_manufacturer_no) {
		this.t_manufacturer_no = t_manufacturer_no;
	}

	/** 
	 * 下辊轧辊编号
	 */ 
	@Column
	private String b_roller_no;
	public String getB_roller_no() {
		return this.b_roller_no;
	}
	public void setB_roller_no(String b_roller_no) {
		this.b_roller_no = b_roller_no;
	}

	/** 
	 * 下辊制造编号
	 */ 
	@Column
	private String b_manufacturer_no;
	public String getB_manufacturer_no() {
		return this.b_manufacturer_no;
	}
	public void setB_manufacturer_no(String b_manufacturer_no) {
		this.b_manufacturer_no = b_manufacturer_no;
	}

	/** 
	 * 辊缝（mm）
	 */ 
	@Column
	private Double rollers_gap;
	public Double getRollers_gap() {
		return this.rollers_gap;
	}
	public void setRollers_gap(Double rollers_gap) {
		this.rollers_gap = rollers_gap;
	}

	/** 
	 * 上下辊径差（mm）
	 */ 
	@Column
	private String rollers_dia_diff;
	public String getRollers_dia_diff() {
		return this.rollers_dia_diff;
	}
	public void setRollers_dia_diff(String rollers_dia_diff) {
		this.rollers_dia_diff = rollers_dia_diff;
	}

	/** 
	 * 配辊班次（0常白班、1晚班、2白班、3中班）
	 */ 
	@Column
	private String pair_ord;
	public String getPair_ord() {
		return this.pair_ord;
	}
	public void setPair_ord(String pair_ord) {
		this.pair_ord = pair_ord;
	}

	/** 
	 * 配辊班组（0常白班、1甲班、2乙班、3丙班、4丁班）
	 */ 
	@Column
	private String pair_grp;
	public String getPair_grp() {
		return this.pair_grp;
	}
	public void setPair_grp(String pair_grp) {
		this.pair_grp = pair_grp;
	}

	/** 
	 * 配辊时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date pair_time;
	public Date getPair_time() {
		return this.pair_time;
	}
	public void setPair_time(Date pair_time) {
		this.pair_time = pair_time;
	}

	/** 
	 * 配辊工一
	 */ 
	@Column
	private String pair_opr01;
	public String getPair_opr01() {
		return this.pair_opr01;
	}
	public void setPair_opr01(String pair_opr01) {
		this.pair_opr01 = pair_opr01;
	}

	/** 
	 * 配辊工二
	 */ 
	@Column
	private String pair_opr02;
	public String getPair_opr02() {
		return this.pair_opr02;
	}
	public void setPair_opr02(String pair_opr02) {
		this.pair_opr02 = pair_opr02;
	}

	/** 
	 * 配辊工三
	 */ 
	@Column
	private String pair_opr03;
	public String getPair_opr03() {
		return this.pair_opr03;
	}
	public void setPair_opr03(String pair_opr03) {
		this.pair_opr03 = pair_opr03;
	}

	/** 
	 * 上机原因代码（390203%）
	 */ 
	@Column
	private String mount_reason_code;
	public String getMount_reason_code() {
		return this.mount_reason_code;
	}
	public void setMount_reason_code(String mount_reason_code) {
		this.mount_reason_code = mount_reason_code;
	}

	/** 
	 * 上机原因描述
	 */ 
	@Column
	private String mount_reason_desc;
	public String getMount_reason_desc() {
		return this.mount_reason_desc;
	}
	public void setMount_reason_desc(String mount_reason_desc) {
		this.mount_reason_desc = mount_reason_desc;
	}

	/** 
	 * 上机班次（0常白班、1晚班、2白班、3中班）
	 */ 
	@Column
	private String mount_ord;
	public String getMount_ord() {
		return this.mount_ord;
	}
	public void setMount_ord(String mount_ord) {
		this.mount_ord = mount_ord;
	}

	/** 
	 * 上机班组（0常白班、1甲班、2乙班、3丙班、4丁班）
	 */ 
	@Column
	private String mount_grp;
	public String getMount_grp() {
		return this.mount_grp;
	}
	public void setMount_grp(String mount_grp) {
		this.mount_grp = mount_grp;
	}

	/** 
	 * 上机时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date mount_time;
	public Date getMount_time() {
		return this.mount_time;
	}
	public void setMount_time(Date mount_time) {
		this.mount_time = mount_time;
	}

	/** 
	 * 上机操作工一
	 */ 
	@Column
	private String mount_opr01;
	public String getMount_opr01() {
		return this.mount_opr01;
	}
	public void setMount_opr01(String mount_opr01) {
		this.mount_opr01 = mount_opr01;
	}

	/** 
	 * 上机操作工二
	 */ 
	@Column
	private String mount_opr02;
	public String getMount_opr02() {
		return this.mount_opr02;
	}
	public void setMount_opr02(String mount_opr02) {
		this.mount_opr02 = mount_opr02;
	}

	/** 
	 * 上机操作工三
	 */ 
	@Column
	private String mount_opr03;
	public String getMount_opr03() {
		return this.mount_opr03;
	}
	public void setMount_opr03(String mount_opr03) {
		this.mount_opr03 = mount_opr03;
	}

	/** 
	 * 下机原因代码（390204%）
	 */ 
	@Column
	private String dismount_reason_code;
	public String getDismount_reason_code() {
		return this.dismount_reason_code;
	}
	public void setDismount_reason_code(String dismount_reason_code) {
		this.dismount_reason_code = dismount_reason_code;
	}

	/** 
	 * 下机原因描述
	 */ 
	@Column
	private String dismount_reason_desc;
	public String getDismount_reason_desc() {
		return this.dismount_reason_desc;
	}
	public void setDismount_reason_desc(String dismount_reason_desc) {
		this.dismount_reason_desc = dismount_reason_desc;
	}

	/** 
	 * 下机班次（0常白班、1晚班、2白班、3中班）
	 */ 
	@Column
	private String dismount_ord;
	public String getDismount_ord() {
		return this.dismount_ord;
	}
	public void setDismount_ord(String dismount_ord) {
		this.dismount_ord = dismount_ord;
	}

	/** 
	 * 下机班组（0常白班、1甲班、2乙班、3丙班、4丁班）
	 */ 
	@Column
	private String dismount_grp;
	public String getDismount_grp() {
		return this.dismount_grp;
	}
	public void setDismount_grp(String dismount_grp) {
		this.dismount_grp = dismount_grp;
	}

	/** 
	 * 下机时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date dismount_time;
	public Date getDismount_time() {
		return this.dismount_time;
	}
	public void setDismount_time(Date dismount_time) {
		this.dismount_time = dismount_time;
	}

	/** 
	 * 下机机操作工一
	 */ 
	@Column
	private String dismount_opr01;
	public String getDismount_opr01() {
		return this.dismount_opr01;
	}
	public void setDismount_opr01(String dismount_opr01) {
		this.dismount_opr01 = dismount_opr01;
	}

	/** 
	 * 下机机操作工二
	 */ 
	@Column
	private String dismount_opr02;
	public String getDismount_opr02() {
		return this.dismount_opr02;
	}
	public void setDismount_opr02(String dismount_opr02) {
		this.dismount_opr02 = dismount_opr02;
	}

	/** 
	 * 下机机操作工三
	 */ 
	@Column
	private String dismount_opr03;
	public String getDismount_opr03() {
		return this.dismount_opr03;
	}
	public void setDismount_opr03(String dismount_opr03) {
		this.dismount_opr03 = dismount_opr03;
	}

	/** 
	 * 轧制卷数
	 */ 
	@Column
	private Long rll_num;
	public Long getRll_num() {
		return this.rll_num;
	}
	public void setRll_num(Long rll_num) {
		this.rll_num = rll_num;
	}

	/** 
	 * 轧制里程数（km）
	 */ 
	@Column
	private Double rll_len;
	public Double getRll_len() {
		return this.rll_len;
	}
	public void setRll_len(Double rll_len) {
		this.rll_len = rll_len;
	}

	/** 
	 * 轧制吨数（吨）
	 */ 
	@Column
	private Double rll_wgt;
	public Double getRll_wgt() {
		return this.rll_wgt;
	}
	public void setRll_wgt(Double rll_wgt) {
		this.rll_wgt = rll_wgt;
	}

	/** 
	 * 拆卸班次（0常白班、1晚班、2白班、3中班）
	 */ 
	@Column
	private String unpair_ord;
	public String getUnpair_ord() {
		return this.unpair_ord;
	}
	public void setUnpair_ord(String unpair_ord) {
		this.unpair_ord = unpair_ord;
	}

	/** 
	 * 拆卸班组（0常白班、1甲班、2乙班、3丙班、4丁班）
	 */ 
	@Column
	private String unpair_grp;
	public String getUnpair_grp() {
		return this.unpair_grp;
	}
	public void setUnpair_grp(String unpair_grp) {
		this.unpair_grp = unpair_grp;
	}

	/** 
	 * 拆卸时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date unpair_time;
	public Date getUnpair_time() {
		return this.unpair_time;
	}
	public void setUnpair_time(Date unpair_time) {
		this.unpair_time = unpair_time;
	}

	/** 
	 * 拆卸工一
	 */ 
	@Column
	private String unpair_opr01;
	public String getUnpair_opr01() {
		return this.unpair_opr01;
	}
	public void setUnpair_opr01(String unpair_opr01) {
		this.unpair_opr01 = unpair_opr01;
	}

	/** 
	 * 拆卸工二
	 */ 
	@Column
	private String unpair_opr02;
	public String getUnpair_opr02() {
		return this.unpair_opr02;
	}
	public void setUnpair_opr02(String unpair_opr02) {
		this.unpair_opr02 = unpair_opr02;
	}

	/** 
	 * 拆卸工三
	 */ 
	@Column
	private String unpair_opr03;
	public String getUnpair_opr03() {
		return this.unpair_opr03;
	}
	public void setUnpair_opr03(String unpair_opr03) {
		this.unpair_opr03 = unpair_opr03;
	}

	/** 
	 * 状态（1：配对、2：上机、3：下机、0：拆卸）
	 */ 
	@Column
	private String status;
	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	/** 
	 * 下发L2（1：是、0：否）
	 */ 
	@Column
	private String send_l2;
	public String getSend_l2() {
		return this.send_l2;
	}
	public void setSend_l2(String send_l2) {
		this.send_l2 = send_l2;
	}

	/** 
	 * 下发人
	 */ 
	@Column
	private String send_opr;
	public String getSend_opr() {
		return this.send_opr;
	}
	public void setSend_opr(String send_opr) {
		this.send_opr = send_opr;
	}
	
	/** 
	 * 下发时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date send_time;
	public Date getSend_time() {
		return this.send_time;
	}
	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}
	
	/** 
	 * 配辊备注
	 */ 
	@Column
	private String pair_memo;
	public String getPair_memo() {
		return this.pair_memo;
	}
	public void setPair_memo(String pair_memo) {
		this.pair_memo = pair_memo;
	}

	/** 
	 * 上机备注
	 */ 
	@Column
	private String mount_memo;
	public String getMount_memo() {
		return this.mount_memo;
	}
	public void setMount_memo(String mount_memo) {
		this.mount_memo = mount_memo;
	}

	/** 
	 * 下机备注
	 */ 
	@Column
	private String dismount_memo;
	public String getDismount_memo() {
		return this.dismount_memo;
	}
	public void setDismount_memo(String dismount_memo) {
		this.dismount_memo = dismount_memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
